# $Revision: 1.7 $, $Date: 2010/09/05 18:14:56 $
%define		ver	%(echo %{version} | tr . _)
Summary:	JavaScript Flash Player detection and embed script
Summary(pl.UTF-8):	Skrypt w JavaScripcie do wykrywania i osadzania Flash Playera
Name:		js-swfobject
Version:	2.2
Release:	1
License:	MIT
Group:		Applications/WWW
Source0:	http://swfobject.googlecode.com/files/swfobject_%{ver}.zip
# Source0-md5:	dec4b83b3e73f3f0011a075cd5385b9c
URL:		http://code.google.com/p/swfobject/
BuildRequires:	unzip
Requires:	webapps
Requires:	webserver(alias)
Provides:	swfobject = %{version}-%{release}
Obsoletes:	swfobject
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		swfobject
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

%description
SWFObject is a small JavaScript file used for embedding Adobe Flash
content. The script can detect the Flash plug-in in all major web
browsers (on Mac and PC) and is designed to make embedding Flash
movies as easy as possible. It is also very search engine friendly,
degrades gracefully, can be used in valid HTML and XHTML 1.0
documents, and is forward compatible, so it should work for years to
come.

%description -l pl.UTF-8
SWFObject to mały plik w JavaScripcie służący do osadzania treści
Adobe Flash. Skrypt potrafi wykryć wtyczkę Flash we wszystkich
popularnych przeglądarkach (na Macu i PC) i jest zaprojektowany do jak
najłatwiejszego osadzania filmów we Flashu. Jest także przyjazny dla
silników wyszukiwarek, dobrze się degraduje, może być używany w
poprawnych dokumentach HTML oraz XHTML 1.0 i jest zgodny w przód, więc
powinien działać jeszcze przez wiele lat.

%prep
%setup -q -n %{_webapp}

# Apache conf
cat > apache.conf <<'EOF'
Alias /js/swfobject.js %{_appdir}/swfobject.js
<Directory %{_appdir}>
	Allow from all
</Directory>
EOF

# lighttpd conf
cat > lighttpd.conf <<'EOF'
alias.url += (
    "/js/swfobject.js" => "%{_appdir}/swfobject.js",
)
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_appdir}
cp -a swfobject.js $RPM_BUILD_ROOT%{_appdir}

install -d $RPM_BUILD_ROOT%{_sysconfdir}
cp -a apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -a apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
cp -a lighttpd.conf $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%{_appdir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: js-swfobject.spec,v $
Revision 1.7  2010/09/05 18:14:56  glen
- 2.2

Revision 1.6  2010/01/25 21:03:49  sparky
- BR: unzip

Revision 1.5  2010/01/25 18:06:48  glen
- webserver integration; rel 2

Revision 1.4  2010/01/25 17:55:38  glen
- update to 2.1; rename to js-swfobject; new homepage

Revision 1.3  2007/09/02 15:23:52  qboosh
- pl

Revision 1.2  2007/08/23 14:23:06  glen
- fix line endings of readme.txt

Revision 1.1  2007/08/23 14:21:45  glen
- new
